<?php
/**
 * Custom functions that act independently of the theme templates.
 *
 * Eventually, some of the functionality here could be replaced by core features.
 *
 * @package psychologist_counselor
 */

/**
 * Adds custom classes to the array of body classes.
 *
 * @param array $classes Classes for the body element.
 * @return array
 */
function psychologist_counselor_body_classes( $classes ) {
  global $psychologist_counselor_post;
  
    if( !is_page_template( 'template-home.php' ) ){
        $classes[] = 'inner';
        // Adds a class of group-blog to blogs with more than 1 published author.
    }

    if ( is_multi_author() ) {
        $classes[] = 'group-blog ';
    }

    // Adds a class of custom-background-image to sites with a custom background image.
    if ( get_background_image() ) {
        $classes[] = 'custom-background-image';
    }
    
    // Adds a class of custom-background-color to sites with a custom background color.
    if ( get_background_color() != 'ffffff' ) {
        $classes[] = 'custom-background-color';
    }
    

    if( psychologist_counselor_woocommerce_activated() && ( is_shop() || is_product_category() || is_product_tag() || 'product' === get_post_type() ) && ! is_active_sidebar( 'shop-sidebar' ) ){
        $classes[] = 'full-width';
    }    

    // Adds a class of hfeed to non-singular pages.
    if ( ! is_page() ) {
        $classes[] = 'hfeed ';
    }
  
    if( is_404() ||  is_search() ){
        $classes[] = 'full-width';
    }
  
    if( ! is_active_sidebar( 'right-sidebar' ) ) {
        $classes[] = 'full-width'; 
    }

    return $classes;
}
add_filter( 'body_class', 'psychologist_counselor_body_classes' );

 /**
 * 
 * @link http://www.altafweb.com/2011/12/remove-specific-tag-from-php-string.html
 */
function psychologist_counselor_strip_single( $tag, $string ){
    $string=preg_replace('/<'.$tag.'[^>]*>/i', '', $string);
    $string=preg_replace('/<\/'.$tag.'>/i', '', $string);
    return $string;
}

if ( ! function_exists( 'psychologist_counselor_excerpt_more' ) ) :
/**
 * Replaces "[...]" (appended to automatically generated excerpts) with ... * 
 */
function psychologist_counselor_excerpt_more($more) {
  return is_admin() ? $more : ' &hellip; ';
}
endif;
add_filter( 'excerpt_more', 'psychologist_counselor_excerpt_more' );


if( ! function_exists( 'psychologist_counselor_footer_credit' ) ):
/**
 * Footer Credits
*/
function psychologist_counselor_footer_credit() {

    // Check if footer copyright is enabled
    $psychologist_counselor_show_footer_copyright = get_theme_mod( 'psychologist_counselor_footer_setting', true );

    if ( ! $psychologist_counselor_show_footer_copyright ) {
        return; 
    }

    $psychologist_counselor_copyright_text = get_theme_mod('psychologist_counselor_footer_copyright_text');

    $psychologist_counselor_text = '<div class="site-info"><div class="container"><span class="copyright">';
    if ($psychologist_counselor_copyright_text) {
        $psychologist_counselor_text .= wp_kses_post($psychologist_counselor_copyright_text); 
    } else {
        $psychologist_counselor_text .= esc_html__('&copy; ', 'psychologist-counselor') . date_i18n(esc_html__('Y', 'psychologist-counselor')); 
        $psychologist_counselor_text .= ' <a href="' . esc_url(home_url('/')) . '">' . esc_html(get_bloginfo('name')) . '</a>' . esc_html__('. All Rights Reserved.', 'psychologist-counselor');
    }
    $psychologist_counselor_text .= '</span>';
    $psychologist_counselor_text .= '<span class="by"> <a href="' . esc_url('https://www.themeignite.com/products/free-psychologist-wordpress-theme') . '" rel="nofollow" target="_blank">' . PSYCHOLOGIST_COUNSELOR_THEME_NAME . '</a>' . esc_html__(' By ', 'psychologist-counselor') . '<a href="' . esc_url('https://themeignite.com/') . '" rel="nofollow" target="_blank">' . esc_html__('Themeignite', 'psychologist-counselor') . '</a>.';
    /* translators: %s: link to WordPress.org */
    $psychologist_counselor_text .= sprintf(esc_html__(' Powered By %s', 'psychologist-counselor'), '<a href="' . esc_url(__('https://wordpress.org/', 'psychologist-counselor')) . '" target="_blank">WordPress</a>.');
    if (function_exists('the_privacy_policy_link')) {
        $psychologist_counselor_text .= get_the_privacy_policy_link();
    }
    $psychologist_counselor_text .= '</span></div></div>';
    echo apply_filters('psychologist_counselor_footer_text', $psychologist_counselor_text);
}
add_action('psychologist_counselor_footer', 'psychologist_counselor_footer_credit');
endif;
/**
 * Is Woocommerce activated
*/
if ( ! function_exists( 'psychologist_counselor_woocommerce_activated' ) ) {
  function psychologist_counselor_woocommerce_activated() {
    if ( class_exists( 'woocommerce' ) ) { return true; } else { return false; }
  }
}

if( ! function_exists( 'psychologist_counselor_change_comment_form_default_fields' ) ) :
/**
 * Change Comment form default fields i.e. author, email & url.
 * https://blog.josemcastaneda.com/2016/08/08/copy-paste-hurting-theme/
*/
function psychologist_counselor_change_comment_form_default_fields( $fields ){    
    // get the current commenter if available
    $psychologist_counselor_commenter = wp_get_current_commenter();
 
    // core functionality
    $req      = get_option( 'require_name_email' );
    $psychologist_counselor_aria_req = ( $req ? " aria-required='true'" : '' );
    $psychologist_counselor_required = ( $req ? " required" : '' );
    $psychologist_counselor_author   = ( $req ? __( 'Name*', 'psychologist-counselor' ) : __( 'Name', 'psychologist-counselor' ) );
    $psychologist_counselor_header_timing    = ( $req ? __( 'Email*', 'psychologist-counselor' ) : __( 'Email', 'psychologist-counselor' ) );
 
    // Change just the author field
    $fields['author'] = '<p class="comment-form-author"><label class="screen-reader-text" for="author">' . esc_html__( 'Name', 'psychologist-counselor' ) . '<span class="required">*</span></label><input id="author" name="author" placeholder="' . esc_attr( $psychologist_counselor_author ) . '" type="text" value="' . esc_attr( $psychologist_counselor_commenter['comment_author'] ) . '" size="30"' . $psychologist_counselor_aria_req . $psychologist_counselor_required . ' /></p>';
    
    $fields['email'] = '<p class="comment-form-email"><label class="screen-reader-text" for="email">' . esc_html__( 'Email', 'psychologist-counselor' ) . '<span class="required">*</span></label><input id="email" name="email" placeholder="' . esc_attr( $psychologist_counselor_header_timing ) . '" type="text" value="' . esc_attr(  $psychologist_counselor_commenter['comment_author_email'] ) . '" size="30"' . $psychologist_counselor_aria_req . $psychologist_counselor_required. ' /></p>';
    
    $fields['url'] = '<p class="comment-form-url"><label class="screen-reader-text" for="url">' . esc_html__( 'Website', 'psychologist-counselor' ) . '</label><input id="url" name="url" placeholder="' . esc_attr__( 'Website', 'psychologist-counselor' ) . '" type="text" value="' . esc_attr( $psychologist_counselor_commenter['comment_author_url'] ) . '" size="30" /></p>'; 
    
    return $fields;    
}
endif;
add_filter( 'comment_form_default_fields', 'psychologist_counselor_change_comment_form_default_fields' );

if( ! function_exists( 'psychologist_counselor_change_comment_form_defaults' ) ) :
/**
 * Change Comment Form defaults
 * https://blog.josemcastaneda.com/2016/08/08/copy-paste-hurting-theme/
*/
function psychologist_counselor_change_comment_form_defaults( $defaults ){    
    $defaults['comment_field'] = '<p class="comment-form-comment"><label class="screen-reader-text" for="comment">' . esc_html__( 'Comment', 'psychologist-counselor' ) . '</label><textarea id="comment" name="comment" placeholder="' . esc_attr__( 'Comment', 'psychologist-counselor' ) . '" cols="45" rows="8" aria-required="true" required></textarea></p>';
    
    return $defaults;    
}
endif;
add_filter( 'comment_form_defaults', 'psychologist_counselor_change_comment_form_defaults' );

if( ! function_exists( 'psychologist_counselor_escape_text_tags' ) ) :
/**
 * Remove new line tags from string
 *
 * @param $text
 * @return string
 */
function psychologist_counselor_escape_text_tags( $text ) {
    return (string) str_replace( array( "\r", "\n" ), '', strip_tags( $text ) );
}
endif;

if( ! function_exists( 'wp_body_open' ) ) :
/**
 * Fire the wp_body_open action.
 * Added for backwards compatibility to support pre 5.2.0 WordPress versions.
*/
function wp_body_open() {
    /**
     * Triggered after the opening <body> tag.
    */
    do_action( 'wp_body_open' );
}
endif;

if ( ! function_exists( 'psychologist_counselor_get_fallback_svg' ) ) :    
/**
 * Get Fallback SVG
*/
function psychologist_counselor_get_fallback_svg( $psychologist_counselor_post_thumbnail ) {
    if( ! $psychologist_counselor_post_thumbnail ){
        return;
    }
    
    $psychologist_counselor_image_size = psychologist_counselor_get_image_sizes( $psychologist_counselor_post_thumbnail );
     
    if( $psychologist_counselor_image_size ){ ?>
        <div class="svg-holder">
             <svg class="fallback-svg" viewBox="0 0 <?php echo esc_attr( $psychologist_counselor_image_size['width'] ); ?> <?php echo esc_attr( $psychologist_counselor_image_size['height'] ); ?>" preserveAspectRatio="none">
                    <rect width="<?php echo esc_attr( $psychologist_counselor_image_size['width'] ); ?>" height="<?php echo esc_attr( $psychologist_counselor_image_size['height'] ); ?>" style="fill:#dedddd;"></rect>
            </svg>
        </div>
        <?php
    }
}
endif;

function psychologist_counselor_enqueue_google_fonts() {

    require get_template_directory() . '/inc/wptt-webfont-loader.php';

    wp_enqueue_style(
        'google-fonts-Exo-2',
        psychologist_counselor_wptt_get_webfont_url( 'https://fonts.googleapis.com/css2?family=Exo+2:ital,wght@0,100..900;1,100..900&display=swap' ),
        array(),
        '1.0'
    );
    wp_enqueue_style(
        'google-fonts-open-sans',
        psychologist_counselor_wptt_get_webfont_url( 'https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap' ),
        array(),
        '1.0'
    );
}
add_action( 'wp_enqueue_scripts', 'psychologist_counselor_enqueue_google_fonts' );


if( ! function_exists( 'psychologist_counselor_site_branding' ) ) :
/**
 * Site Branding
*/
function psychologist_counselor_site_branding(){
    $psychologist_counselor_logo_site_title = get_theme_mod( 'header_site_title', 1 );
    $psychologist_counselor_tagline = get_theme_mod( 'header_tagline', false );
    $psychologist_counselor_logo_width = get_theme_mod('logo_width', 100); // Retrieve the logo width setting

    ?>
    <div class="site-branding" style="max-width: <?php echo esc_attr(get_theme_mod('logo_width', '-1'))?>px;">
        <?php 
        // Check if custom logo is set and display it
        if (function_exists('has_custom_logo') && has_custom_logo()) {
            the_custom_logo();
        }
        if ($psychologist_counselor_logo_site_title):
             if (is_front_page()): ?>
            <h1 class="site-title" style="font-size: <?php echo esc_attr(get_theme_mod('psychologist_counselor_site_title_size', '30')); ?>px;">
            <a href="<?php echo esc_url(home_url('/')); ?>" rel="home"><?php bloginfo('name'); ?></a>
          </h1>
            <?php else: ?>
                <p class="site-title" itemprop="name">
                    <a href="<?php echo esc_url(home_url('/')); ?>" rel="home"><?php bloginfo('name'); ?></a>
                </p>
            <?php endif; ?>
        <?php endif; 
    
        if ($psychologist_counselor_tagline) :
            $psychologist_counselor_description = get_bloginfo('description', 'display');
            if ($psychologist_counselor_description || is_customize_preview()) :
        ?>
                <p class="site-description" itemprop="description"><?php echo $psychologist_counselor_description; ?></p>
            <?php endif;
        endif;
        ?>
    </div> 
    <?php
}
endif;
if( ! function_exists( 'psychologist_counselor_navigation' ) ) :
    /**
     * Site Navigation
    */
    function psychologist_counselor_navigation(){
        ?>
        <nav class="main-navigation" id="site-navigation" role="navigation">
            <?php 
            wp_nav_menu( array( 
                'theme_location' => 'primary', 
                'menu_id' => 'primary-menu' 
            ) ); 
            ?>
        </nav>
        <?php
    }
endif;

if ( ! function_exists( 'psychologist_counselor_header' ) ) :
    /**
     * Header Start
     */
    function psychologist_counselor_header() {
        $psychologist_counselor_header_image         = get_header_image();
        $psychologist_counselor_sticky_header        = get_theme_mod( 'psychologist_counselor_sticky_header' );
        $psychologist_counselor_phone                = get_theme_mod( 'psychologist_counselor_header_phone' );
        $psychologist_counselor_header_location_text = get_theme_mod( 'psychologist_counselor_header_location_text' );
        $psychologist_counselor_header_location      = get_theme_mod( 'psychologist_counselor_header_location' );
        $psychologist_counselor_header_timing_text   = get_theme_mod( 'psychologist_counselor_header_timing_text' );
        $psychologist_counselor_header_timing        = get_theme_mod( 'psychologist_counselor_header_timing' );
        ?>
        
        <div id="page-site-header" class="main-header">
            <header id="masthead" style="background-image: url('<?php echo esc_url( $psychologist_counselor_header_image ); ?>');" class="site-header header-inner" role="banner">
                <div class="mid-head">
                    <div class="container">
                        <div class="row">
                            <div class="col-xl-4 col-lg-3 col-md-6 align-self-center first">
                                <?php psychologist_counselor_site_branding(); ?>
                            </div>

                            <div class="col-xl-3 col-lg-4 col-md-6 align-self-center second">
                                <?php if ( $psychologist_counselor_header_location ) : ?>
                                    <div class="location">
                                        <span class="contact-icon">
                                            <i class="fas fa-map-marker-alt"></i>
                                        </span>
                                        <span class="contact-box">
                                            <span class="location-text">
                                                <span><?php echo esc_html( $psychologist_counselor_header_location_text ); ?></span><br>
                                                <span class="main-text"><?php echo esc_html( $psychologist_counselor_header_location ); ?></span>
                                            </span>
                                        </span>
                                    </div>
                                <?php endif; ?>
                            </div>

                            <div class="col-xl-3 col-lg-4 col-md-6 align-self-center text-md-left third">
                                <?php if ( $psychologist_counselor_header_timing ) : ?>
                                    <div class="location">
                                        <span class="contact-icon">
                                            <i class="fas fa-clock"></i>
                                        </span>
                                        <span class="contact-box">
                                            <span class="location-text">
                                                <span><?php echo esc_html( $psychologist_counselor_header_timing_text ); ?></span><br>
                                                <span class="main-text"><?php echo esc_html( $psychologist_counselor_header_timing ); ?></span>
                                            </span>
                                        </span>
                                    </div>
                                <?php endif; ?>
                            </div>

                            <div class="col-xl-2 col-lg-1 col-md-6 align-self-center text-lg-end fourth">
                                <?php if ( get_theme_mod( 'psychologist_counselor_show_hide_search', false ) ) : ?>
                                    <div class="search-body">
                                        <button type="button" class="search-show">
                                            <i class="<?php echo esc_attr( get_theme_mod( 'psychologist_counselor_search_icon', 'fas fa-search' ) ); ?>"></i>
                                        </button>
                                    </div>
                                    <div class="searchform-inner">
                                        <?php get_search_form(); ?>
                                        <button type="button" class="close" aria-label="<?php esc_attr_e( 'Close', 'psychologist-counselor' ); ?>">
                                            <span aria-hidden="true">X</span>
                                        </button>
                                    </div>
                                <?php endif; ?>

                            </div>
                        </div>
                    </div>
                </div>

                <div class="theme-menu head_bg" style="background-image: url('<?php echo esc_url( $psychologist_counselor_header_image ); ?>');" data-sticky="<?php echo esc_attr( $psychologist_counselor_sticky_header ); ?>">
                    <div class="container">
                        <div class="row">
                            <div class="col-xl-9 col-lg-8 col-md-4 align-self-center">
                                <?php psychologist_counselor_navigation(); ?> 
                            </div>
                            <div class="col-xl-3 col-lg-4 col-md-12 align-self-center text-md-end">
                                <?php if ( $psychologist_counselor_phone ) : ?>
                                        <span class="phone-box">
                                            <span class="phone-text">
                                                <i class="fas fa-phone-alt"></i> <?php esc_html_e( 'TOLL FREE :', 'psychologist-counselor' ); ?><a href="tel:<?php echo esc_attr( $psychologist_counselor_phone ); ?>">
                                                    <?php echo esc_html( $psychologist_counselor_phone ); ?>
                                                </a>
                                            </span>
                                        </span>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
            </header>
        </div>
        <?php
    }
endif;

add_action( 'psychologist_counselor_header', 'psychologist_counselor_header', 20 );